--- a/Makefile.tail
+++ b/Makefile.tail
@@ -14,14 +14,14 @@ PROXY_SERVER_DIR = proxyServer
 HLS_PROXY_DIR = hlsProxy
 
 all:
-	cd $(LIVEMEDIA_DIR) ; $(MAKE)
-	cd $(GROUPSOCK_DIR) ; $(MAKE)
-	cd $(USAGE_ENVIRONMENT_DIR) ; $(MAKE)
-	cd $(BASIC_USAGE_ENVIRONMENT_DIR) ; $(MAKE)
-	cd $(TESTPROGS_DIR) ; $(MAKE)
-	cd $(MEDIA_SERVER_DIR) ; $(MAKE)
-	cd $(PROXY_SERVER_DIR) ; $(MAKE)
-	cd $(HLS_PROXY_DIR) ; $(MAKE)
+	cd $(LIVEMEDIA_DIR) ; CFLAGS="$(CFLAGS)" $(MAKE)
+	cd $(GROUPSOCK_DIR) ; CFLAGS="$(CFLAGS)" $(MAKE)
+	cd $(USAGE_ENVIRONMENT_DIR) ; CFLAGS="$(CFLAGS)" $(MAKE)
+	cd $(BASIC_USAGE_ENVIRONMENT_DIR) ; CFLAGS="$(CFLAGS)" $(MAKE)
+	cd $(TESTPROGS_DIR) ; CFLAGS="$(CFLAGS)" $(MAKE)
+	cd $(MEDIA_SERVER_DIR) ; CFLAGS="$(CFLAGS)" $(MAKE)
+	cd $(PROXY_SERVER_DIR) ; CFLAGS="$(CFLAGS)" $(MAKE)
+	cd $(HLS_PROXY_DIR) ; CFLAGS="$(CFLAGS)" $(MAKE)
 	@echo
 	@echo "For more information about this source code (including your obligations under the LGPL), please see our FAQ at http://live555.com/liveMedia/faq.html"
 
--- a/config.linux-with-shared-libraries
+++ b/config.linux-with-shared-libraries
@@ -33,13 +33,13 @@ CPLUSPLUS_COMPILER =	$(CXX)
 CPLUSPLUS_FLAGS =	$(COMPILE_OPTS) -std=c++20 -Wall -DBSD=1 $(CPPFLAGS) $(CXXFLAGS)
 OBJ =			o
 LINK =			$(CXX) -o
-LINK_OPTS =		-L. $(LDFLAGS)
+LINK_OPTS =		-L. $(CPPFLAGS) $(LDFLAGS)
 CONSOLE_LINK_OPTS =	$(LINK_OPTS)
-LIBRARY_LINK =		$(CC) -o 
+LIBRARY_LINK =		$(CXX) -o
 SHORT_LIB_SUFFIX =	so.$(shell expr $($(NAME)_VERSION_CURRENT) - $($(NAME)_VERSION_AGE))
 LIB_SUFFIX =	 	$(SHORT_LIB_SUFFIX).$($(NAME)_VERSION_AGE).$($(NAME)_VERSION_REVISION)
-LIBRARY_LINK_OPTS =	-shared -Wl,-soname,$(NAME).$(SHORT_LIB_SUFFIX) $(LDFLAGS)
-LIBS_FOR_CONSOLE_APPLICATION = -lssl -lcrypto
+LIBRARY_LINK_OPTS =	-shared -Wl,-soname,$(NAME).$(SHORT_LIB_SUFFIX) $(CPPFLAGS) $(LDFLAGS)
+LIBS_FOR_CONSOLE_APPLICATION =
 LIBS_FOR_GUI_APPLICATION =
 LIBS_FOR_LIVEMEDIA_LIB = -lssl -lcrypto
 EXE =
